#  -*- coding: utf-8 -*-
ERROR_CODE = {
    100000: '成功',
    100001: '系统忙，请稍候再试',
    100002: '暂不支持该业务',
    110001: '通行证编号不能为空',
    110002: '通行证编号不正确',
    110003: '签名不能为空',
    110004: '签名不正确',
    110005: '通行证编号无效',
    110006: '请求内容不能为空',
    110007: '签名不匹配',
    110008: '请求内容异常',
    110009: '请求内容大小超过限制',
    110010: '权限不足，禁止访问',
    120001: '邮箱不能为空',
    120002: '邮箱格式不正确',
    120003: '该邮箱已被注册',
    120004: '密码不能为空',
    120005: '密码格式不正确',
    120006: '用户类型不能为空',
    120007: '用户类型不正确或暂不支持',
    120008: '姓名不能为空',
    120009: '姓名格式不正确',
    120010: '电话号码不能为空',
    120011: '电话号码格式不正确',
    120012: '公司名称不能为空',
    120013: '公司名称格式不正确',
    120014: '职位不能为空',
    120015: '职位格式不正确',
    120016: '用户不存在',
    120017: '用户未激活',
    120018: '签名不匹配或密码不正确',
    120019: '省份编号不能为空',
    120020: '城市编号不能为空',
    120021: '暂无记录',
    120022: '旧密码不能为空',
    120023: '旧密码格式不正确',
    120024: '新密码不能为空',
    120025: '新密码格式不正确',
    120026: '新密码不能和旧密码相同',
    120027: '旧密码不正确',
    120028: '备注不能为空',
    120029: '备注格式不正确',
    120030: 'ID不能为空',
    120031: '记录不存在',
    120032: '文件名不能为空',
    120033: '文件名格式不正确',
    120034: '暂不支持该文件类型',
    120035: '签名文档编号格式不正确',
    120036: '签名文档编号不能为空',
    120037: '邮件标题不能为空',
    120038: '邮件标题长度超过限制',
    120039: '邮件内容不能为空',
    120040: '邮件内容长度超过限制',
    120041: '有效时间格式不正确',
    120042: '收件人不能为空',
    120043: '收件人邮箱不能为空',
    120044: '收件人邮箱格式不正确',
    120045: '收件人姓名不能为空',
    120046: '收件人姓名格式不正确',
    120047: '操作类型不能为空',
    120048: '操作类型不正确或暂不支持',
    120049: '签名明细编号不能为空',
    120050: '签名明细编号格式不正确',
    120051: '标识类别不能为空',
    120052: '标识类别不正确或暂不支持',
    120053: '文档页码不能为空',
    120054: '文档页码格式不正确',
    120055: '配置ID不能为空',
    120056: '配置ID格式不正确',
    120057: 'X坐标不能为空',
    120058: 'X坐标格式不正确',
    120059: 'Y坐标不能为空',
    120060: 'Y坐标格式不正确',
    120061: '密码不正确',
    120062: '该电话号码已被使用',
    120063: '开发者编号不能为空',
    120064: '开发者RSA公钥未设置',
    120065: '名称不能为空',
    120066: '名称长度超过限制',
    120067: '描述长度超过限制',
    120068: '模版编号不能为空',
    120069: '文档编号不能为空',
    120070: '身份证号码不能为空',
    120071: '手机号码格式不正确',
    120072: '模版不存在',
    120073: '邮箱和手机号码至少填一项',
    120074: '模版中至少包含一份文档',
    120075: '身份证号码格式不正确',
    120076: '签名码不能为空',
    120077: '状态不能为空',
    120078: '填充值格式不正确',
    120079: '商户合同号不能为空',
    120080: '商户合同号格式不正确',
    120081: '合同名称不能为空',
    120082: '合同名称格式不正确',
    120083: '状态格式不正确',
    120084: '记录条数不能为空',
    120085: '记录条数格式不正确',
    120086: '类别不能为空',
    120087: '销售机构代码不能为空',
    120088: '管理人代码不能为空',
    120089: '托管人代码不能为空',
    120090: '模版名称已经存在',
    120091: '该文件已加密，无法使用',
    120092: '手机号码不能为空',
    120093: '消息主题不能为空',
    120094: '消息主题格式不正确',
    120095: '消息内容不能为空',
    120096: '消息内容格式不正确',
    120097: '合同编号不能为空',
    120098: '文件编号不能为空',
    120099: '视频文件名不能为空',
    120100: '不能发送给自己',
    120101: '请检查开发者RSA公钥是否设置正确',
    120102: '您已完成此模版的签署',
    120103: '下载失败',
    120104: '用户信息类型不正确',
    120105: '用户信息不能为空',
    120106: '用户信息类型不能为空',
    120107: '无该合同权限',
    120108: '找不到该合同',
    120109: '还未被客服接待',
    120110: '合同已经取消',
    120111: '文档编号与邮箱不匹配',
    120112: '已完成签字或签名取消,请登录后进行其他操作',
    120113: '视频未录制完成无法确认签名',
    120114: '视频未录制完成无法确认签名',
    120115: '签名图片生成异常',
    120116: '文件下载异常',
    120117: 'imgName不能为空',
    120118: 'imgType不能为空',
    120119: '当前用户不存在',
    120120: '用户ID不能为空',
    120121: '文件下载异常',
    120122: '签名已完成或者不需要自己签署。',
    120123: '此合同不需要自己签署',
    120124: '当前用户不存在',
    120125: '申请查询合同状态不能为空',
    120126: '用户类型不能为空',
    120127: '合同发起方邮箱不能为空',
    120128: '合同发起方邮箱格式不正确',
    120129: '合同发起方名称不能为空',
    120130: '合同发起方名称太短',
    120131: '合同发起方手机号码不能为空',
    120132: '合同发起方手机格式不正确',
    120133: '合同原文件创建失败',
    120134: '公章图片没有上传',
    120135: '手机验证码不正确',
    120137: '上传图片不是公章',
    120138: '上传公章异常',
    120139: '手机号码已经作为个人生成账户合同，不能作为企业账户生成合同',
    120140: '公章未审核通过无法签署',
    120141: '数字签名合成异常',
    120142: '生成附页或更新签名数据库失败',
    120143: '使用上上签证书签署失败',
    120146: 'sesion失效',
    120145: '验证码失效',
    120144: '验证码错误',
    120148: '接受者列表为异常',
    120149: '用户不存在',
    120150: '此账号已经存在于签署人中',
    120151: '没有证书',
    120160: '已完成签字或签名取消,请登录后进行其他操作',
    120161: '合同接受者无法取消合同',
    120162: 'userName不能为空',
    120163: 'signID不能为空',
    120165: '签名异常，需要重新发送合同',
    120152: '新密码不能为空',
    120154: '原密码不正确',
    120181: '签名图片异常',
    120183: '手机有多个关联账号，请输入邮箱来确定唯一账号',
    120189: '当前用户无合同记录',
    120170: '身份证编号为空',
    120171: '身份证姓名为空',
    120172: '身份证格式不正确',
    120184: '用户没有云文件，请上传用户云文件。',
    120200: 'send user必须在users list里，或者模版不存在',
    120231: '上传合同文件异常',
    120196: '重复创建账号',
    120235: '合同已经过期， 不能进行签署',
    120270: '不在白名单中，无法调用实名接口',
    120280: '数据库填合同结束状态异常',
    120302: '授权码不正确',
    120303: '授权码不正确',
    120400: '申请证书失败',
    120606: '刷脸照片太大',
    120670: '合同已经签署结束'
}